IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network2.168.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
2.168.0.0- Broadcast address
2.175.255.255- First usable
2.168.0.1- Last usable
2.175.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
02A80000· Integer44564480to45088767 - Reverse DNS zones
168.2.in-addr.arpa169.2.in-addr.arpa170.2.in-addr.arpa171.2.in-addr.arpa172.2.in-addr.arpa173.2.in-addr.arpa174.2.in-addr.arpa175.2.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000010.10101000.00000000.00000000 | 2.168.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 00000010.10101000.00000000.00000000 | 2.168.0.0 |
| Broadcast | 00000010.10101111.11111111.11111111 | 2.175.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
2.168.0.0/13 makes 512 subnets of /22; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 2.168.0.0/22 | 2.168.0.1 to 2.168.3.254 | 2.168.3.255 | 1,022 |
| 2 | 2.168.4.0/22 | 2.168.4.1 to 2.168.7.254 | 2.168.7.255 | 1,022 |
| 3 | 2.168.8.0/22 | 2.168.8.1 to 2.168.11.254 | 2.168.11.255 | 1,022 |
| 4 | 2.168.12.0/22 | 2.168.12.1 to 2.168.15.254 | 2.168.15.255 | 1,022 |
| 5 | 2.168.16.0/22 | 2.168.16.1 to 2.168.19.254 | 2.168.19.255 | 1,022 |
| 6 | 2.168.20.0/22 | 2.168.20.1 to 2.168.23.254 | 2.168.23.255 | 1,022 |
| 7 | 2.168.24.0/22 | 2.168.24.1 to 2.168.27.254 | 2.168.27.255 | 1,022 |
| 8 | 2.168.28.0/22 | 2.168.28.1 to 2.168.31.254 | 2.168.31.255 | 1,022 |
| 9 | 2.168.32.0/22 | 2.168.32.1 to 2.168.35.254 | 2.168.35.255 | 1,022 |
| 10 | 2.168.36.0/22 | 2.168.36.1 to 2.168.39.254 | 2.168.39.255 | 1,022 |
| 11 | 2.168.40.0/22 | 2.168.40.1 to 2.168.43.254 | 2.168.43.255 | 1,022 |
| 12 | 2.168.44.0/22 | 2.168.44.1 to 2.168.47.254 | 2.168.47.255 | 1,022 |
| 13 | 2.168.48.0/22 | 2.168.48.1 to 2.168.51.254 | 2.168.51.255 | 1,022 |
| 14 | 2.168.52.0/22 | 2.168.52.1 to 2.168.55.254 | 2.168.55.255 | 1,022 |
| 15 | 2.168.56.0/22 | 2.168.56.1 to 2.168.59.254 | 2.168.59.255 | 1,022 |
| 16 | 2.168.60.0/22 | 2.168.60.1 to 2.168.63.254 | 2.168.63.255 | 1,022 |
| 17 | 2.168.64.0/22 | 2.168.64.1 to 2.168.67.254 | 2.168.67.255 | 1,022 |
| 18 | 2.168.68.0/22 | 2.168.68.1 to 2.168.71.254 | 2.168.71.255 | 1,022 |
| 19 | 2.168.72.0/22 | 2.168.72.1 to 2.168.75.254 | 2.168.75.255 | 1,022 |
| 20 | 2.168.76.0/22 | 2.168.76.1 to 2.168.79.254 | 2.168.79.255 | 1,022 |
| 21 | 2.168.80.0/22 | 2.168.80.1 to 2.168.83.254 | 2.168.83.255 | 1,022 |
| 22 | 2.168.84.0/22 | 2.168.84.1 to 2.168.87.254 | 2.168.87.255 | 1,022 |
| 23 | 2.168.88.0/22 | 2.168.88.1 to 2.168.91.254 | 2.168.91.255 | 1,022 |
| 24 | 2.168.92.0/22 | 2.168.92.1 to 2.168.95.254 | 2.168.95.255 | 1,022 |
| 25 | 2.168.96.0/22 | 2.168.96.1 to 2.168.99.254 | 2.168.99.255 | 1,022 |
| 26 | 2.168.100.0/22 | 2.168.100.1 to 2.168.103.254 | 2.168.103.255 | 1,022 |
| 27 | 2.168.104.0/22 | 2.168.104.1 to 2.168.107.254 | 2.168.107.255 | 1,022 |
| 28 | 2.168.108.0/22 | 2.168.108.1 to 2.168.111.254 | 2.168.111.255 | 1,022 |
| 29 | 2.168.112.0/22 | 2.168.112.1 to 2.168.115.254 | 2.168.115.255 | 1,022 |
| 30 | 2.168.116.0/22 | 2.168.116.1 to 2.168.119.254 | 2.168.119.255 | 1,022 |
| 31 | 2.168.120.0/22 | 2.168.120.1 to 2.168.123.254 | 2.168.123.255 | 1,022 |
| 32 | 2.168.124.0/22 | 2.168.124.1 to 2.168.127.254 | 2.168.127.255 | 1,022 |
| 33 | 2.168.128.0/22 | 2.168.128.1 to 2.168.131.254 | 2.168.131.255 | 1,022 |
| 34 | 2.168.132.0/22 | 2.168.132.1 to 2.168.135.254 | 2.168.135.255 | 1,022 |
| 35 | 2.168.136.0/22 | 2.168.136.1 to 2.168.139.254 | 2.168.139.255 | 1,022 |
| 36 | 2.168.140.0/22 | 2.168.140.1 to 2.168.143.254 | 2.168.143.255 | 1,022 |
| 37 | 2.168.144.0/22 | 2.168.144.1 to 2.168.147.254 | 2.168.147.255 | 1,022 |
| 38 | 2.168.148.0/22 | 2.168.148.1 to 2.168.151.254 | 2.168.151.255 | 1,022 |
| 39 | 2.168.152.0/22 | 2.168.152.1 to 2.168.155.254 | 2.168.155.255 | 1,022 |
| 40 | 2.168.156.0/22 | 2.168.156.1 to 2.168.159.254 | 2.168.159.255 | 1,022 |
| 41 | 2.168.160.0/22 | 2.168.160.1 to 2.168.163.254 | 2.168.163.255 | 1,022 |
| 42 | 2.168.164.0/22 | 2.168.164.1 to 2.168.167.254 | 2.168.167.255 | 1,022 |
| 43 | 2.168.168.0/22 | 2.168.168.1 to 2.168.171.254 | 2.168.171.255 | 1,022 |
| 44 | 2.168.172.0/22 | 2.168.172.1 to 2.168.175.254 | 2.168.175.255 | 1,022 |
| 45 | 2.168.176.0/22 | 2.168.176.1 to 2.168.179.254 | 2.168.179.255 | 1,022 |
| 46 | 2.168.180.0/22 | 2.168.180.1 to 2.168.183.254 | 2.168.183.255 | 1,022 |
| 47 | 2.168.184.0/22 | 2.168.184.1 to 2.168.187.254 | 2.168.187.255 | 1,022 |
| 48 | 2.168.188.0/22 | 2.168.188.1 to 2.168.191.254 | 2.168.191.255 | 1,022 |
| 49 | 2.168.192.0/22 | 2.168.192.1 to 2.168.195.254 | 2.168.195.255 | 1,022 |
| 50 | 2.168.196.0/22 | 2.168.196.1 to 2.168.199.254 | 2.168.199.255 | 1,022 |
| 51 | 2.168.200.0/22 | 2.168.200.1 to 2.168.203.254 | 2.168.203.255 | 1,022 |
| 52 | 2.168.204.0/22 | 2.168.204.1 to 2.168.207.254 | 2.168.207.255 | 1,022 |
| 53 | 2.168.208.0/22 | 2.168.208.1 to 2.168.211.254 | 2.168.211.255 | 1,022 |
| 54 | 2.168.212.0/22 | 2.168.212.1 to 2.168.215.254 | 2.168.215.255 | 1,022 |
| 55 | 2.168.216.0/22 | 2.168.216.1 to 2.168.219.254 | 2.168.219.255 | 1,022 |
| 56 | 2.168.220.0/22 | 2.168.220.1 to 2.168.223.254 | 2.168.223.255 | 1,022 |
| 57 | 2.168.224.0/22 | 2.168.224.1 to 2.168.227.254 | 2.168.227.255 | 1,022 |
| 58 | 2.168.228.0/22 | 2.168.228.1 to 2.168.231.254 | 2.168.231.255 | 1,022 |
| 59 | 2.168.232.0/22 | 2.168.232.1 to 2.168.235.254 | 2.168.235.255 | 1,022 |
| 60 | 2.168.236.0/22 | 2.168.236.1 to 2.168.239.254 | 2.168.239.255 | 1,022 |
| 61 | 2.168.240.0/22 | 2.168.240.1 to 2.168.243.254 | 2.168.243.255 | 1,022 |
| 62 | 2.168.244.0/22 | 2.168.244.1 to 2.168.247.254 | 2.168.247.255 | 1,022 |
| 63 | 2.168.248.0/22 | 2.168.248.1 to 2.168.251.254 | 2.168.251.255 | 1,022 |
| 64 | 2.168.252.0/22 | 2.168.252.1 to 2.168.255.254 | 2.168.255.255 | 1,022 |
| 65 | 2.169.0.0/22 | 2.169.0.1 to 2.169.3.254 | 2.169.3.255 | 1,022 |
| 66 | 2.169.4.0/22 | 2.169.4.1 to 2.169.7.254 | 2.169.7.255 | 1,022 |
| 67 | 2.169.8.0/22 | 2.169.8.1 to 2.169.11.254 | 2.169.11.255 | 1,022 |
| 68 | 2.169.12.0/22 | 2.169.12.1 to 2.169.15.254 | 2.169.15.255 | 1,022 |
| 69 | 2.169.16.0/22 | 2.169.16.1 to 2.169.19.254 | 2.169.19.255 | 1,022 |
| 70 | 2.169.20.0/22 | 2.169.20.1 to 2.169.23.254 | 2.169.23.255 | 1,022 |
| 71 | 2.169.24.0/22 | 2.169.24.1 to 2.169.27.254 | 2.169.27.255 | 1,022 |
| 72 | 2.169.28.0/22 | 2.169.28.1 to 2.169.31.254 | 2.169.31.255 | 1,022 |
| 73 | 2.169.32.0/22 | 2.169.32.1 to 2.169.35.254 | 2.169.35.255 | 1,022 |
| 74 | 2.169.36.0/22 | 2.169.36.1 to 2.169.39.254 | 2.169.39.255 | 1,022 |
| 75 | 2.169.40.0/22 | 2.169.40.1 to 2.169.43.254 | 2.169.43.255 | 1,022 |
| 76 | 2.169.44.0/22 | 2.169.44.1 to 2.169.47.254 | 2.169.47.255 | 1,022 |
| 77 | 2.169.48.0/22 | 2.169.48.1 to 2.169.51.254 | 2.169.51.255 | 1,022 |
| 78 | 2.169.52.0/22 | 2.169.52.1 to 2.169.55.254 | 2.169.55.255 | 1,022 |
| 79 | 2.169.56.0/22 | 2.169.56.1 to 2.169.59.254 | 2.169.59.255 | 1,022 |
| 80 | 2.169.60.0/22 | 2.169.60.1 to 2.169.63.254 | 2.169.63.255 | 1,022 |
| 81 | 2.169.64.0/22 | 2.169.64.1 to 2.169.67.254 | 2.169.67.255 | 1,022 |
| 82 | 2.169.68.0/22 | 2.169.68.1 to 2.169.71.254 | 2.169.71.255 | 1,022 |
| 83 | 2.169.72.0/22 | 2.169.72.1 to 2.169.75.254 | 2.169.75.255 | 1,022 |
| 84 | 2.169.76.0/22 | 2.169.76.1 to 2.169.79.254 | 2.169.79.255 | 1,022 |
| 85 | 2.169.80.0/22 | 2.169.80.1 to 2.169.83.254 | 2.169.83.255 | 1,022 |
| 86 | 2.169.84.0/22 | 2.169.84.1 to 2.169.87.254 | 2.169.87.255 | 1,022 |
| 87 | 2.169.88.0/22 | 2.169.88.1 to 2.169.91.254 | 2.169.91.255 | 1,022 |
| 88 | 2.169.92.0/22 | 2.169.92.1 to 2.169.95.254 | 2.169.95.255 | 1,022 |
| 89 | 2.169.96.0/22 | 2.169.96.1 to 2.169.99.254 | 2.169.99.255 | 1,022 |
| 90 | 2.169.100.0/22 | 2.169.100.1 to 2.169.103.254 | 2.169.103.255 | 1,022 |
| 91 | 2.169.104.0/22 | 2.169.104.1 to 2.169.107.254 | 2.169.107.255 | 1,022 |
| 92 | 2.169.108.0/22 | 2.169.108.1 to 2.169.111.254 | 2.169.111.255 | 1,022 |
| 93 | 2.169.112.0/22 | 2.169.112.1 to 2.169.115.254 | 2.169.115.255 | 1,022 |
| 94 | 2.169.116.0/22 | 2.169.116.1 to 2.169.119.254 | 2.169.119.255 | 1,022 |
| 95 | 2.169.120.0/22 | 2.169.120.1 to 2.169.123.254 | 2.169.123.255 | 1,022 |
| 96 | 2.169.124.0/22 | 2.169.124.1 to 2.169.127.254 | 2.169.127.255 | 1,022 |
| 97 | 2.169.128.0/22 | 2.169.128.1 to 2.169.131.254 | 2.169.131.255 | 1,022 |
| 98 | 2.169.132.0/22 | 2.169.132.1 to 2.169.135.254 | 2.169.135.255 | 1,022 |
| 99 | 2.169.136.0/22 | 2.169.136.1 to 2.169.139.254 | 2.169.139.255 | 1,022 |
| 100 | 2.169.140.0/22 | 2.169.140.1 to 2.169.143.254 | 2.169.143.255 | 1,022 |
| 101 | 2.169.144.0/22 | 2.169.144.1 to 2.169.147.254 | 2.169.147.255 | 1,022 |
| 102 | 2.169.148.0/22 | 2.169.148.1 to 2.169.151.254 | 2.169.151.255 | 1,022 |
| 103 | 2.169.152.0/22 | 2.169.152.1 to 2.169.155.254 | 2.169.155.255 | 1,022 |
| 104 | 2.169.156.0/22 | 2.169.156.1 to 2.169.159.254 | 2.169.159.255 | 1,022 |
| 105 | 2.169.160.0/22 | 2.169.160.1 to 2.169.163.254 | 2.169.163.255 | 1,022 |
| 106 | 2.169.164.0/22 | 2.169.164.1 to 2.169.167.254 | 2.169.167.255 | 1,022 |
| 107 | 2.169.168.0/22 | 2.169.168.1 to 2.169.171.254 | 2.169.171.255 | 1,022 |
| 108 | 2.169.172.0/22 | 2.169.172.1 to 2.169.175.254 | 2.169.175.255 | 1,022 |
| 109 | 2.169.176.0/22 | 2.169.176.1 to 2.169.179.254 | 2.169.179.255 | 1,022 |
| 110 | 2.169.180.0/22 | 2.169.180.1 to 2.169.183.254 | 2.169.183.255 | 1,022 |
| 111 | 2.169.184.0/22 | 2.169.184.1 to 2.169.187.254 | 2.169.187.255 | 1,022 |
| 112 | 2.169.188.0/22 | 2.169.188.1 to 2.169.191.254 | 2.169.191.255 | 1,022 |
| 113 | 2.169.192.0/22 | 2.169.192.1 to 2.169.195.254 | 2.169.195.255 | 1,022 |
| 114 | 2.169.196.0/22 | 2.169.196.1 to 2.169.199.254 | 2.169.199.255 | 1,022 |
| 115 | 2.169.200.0/22 | 2.169.200.1 to 2.169.203.254 | 2.169.203.255 | 1,022 |
| 116 | 2.169.204.0/22 | 2.169.204.1 to 2.169.207.254 | 2.169.207.255 | 1,022 |
| 117 | 2.169.208.0/22 | 2.169.208.1 to 2.169.211.254 | 2.169.211.255 | 1,022 |
| 118 | 2.169.212.0/22 | 2.169.212.1 to 2.169.215.254 | 2.169.215.255 | 1,022 |
| 119 | 2.169.216.0/22 | 2.169.216.1 to 2.169.219.254 | 2.169.219.255 | 1,022 |
| 120 | 2.169.220.0/22 | 2.169.220.1 to 2.169.223.254 | 2.169.223.255 | 1,022 |
| 121 | 2.169.224.0/22 | 2.169.224.1 to 2.169.227.254 | 2.169.227.255 | 1,022 |
| 122 | 2.169.228.0/22 | 2.169.228.1 to 2.169.231.254 | 2.169.231.255 | 1,022 |
| 123 | 2.169.232.0/22 | 2.169.232.1 to 2.169.235.254 | 2.169.235.255 | 1,022 |
| 124 | 2.169.236.0/22 | 2.169.236.1 to 2.169.239.254 | 2.169.239.255 | 1,022 |
| 125 | 2.169.240.0/22 | 2.169.240.1 to 2.169.243.254 | 2.169.243.255 | 1,022 |
| 126 | 2.169.244.0/22 | 2.169.244.1 to 2.169.247.254 | 2.169.247.255 | 1,022 |
| 127 | 2.169.248.0/22 | 2.169.248.1 to 2.169.251.254 | 2.169.251.255 | 1,022 |
| 128 | 2.169.252.0/22 | 2.169.252.1 to 2.169.255.254 | 2.169.255.255 | 1,022 |
| 129 | 2.170.0.0/22 | 2.170.0.1 to 2.170.3.254 | 2.170.3.255 | 1,022 |
| 130 | 2.170.4.0/22 | 2.170.4.1 to 2.170.7.254 | 2.170.7.255 | 1,022 |
| 131 | 2.170.8.0/22 | 2.170.8.1 to 2.170.11.254 | 2.170.11.255 | 1,022 |
| 132 | 2.170.12.0/22 | 2.170.12.1 to 2.170.15.254 | 2.170.15.255 | 1,022 |
| 133 | 2.170.16.0/22 | 2.170.16.1 to 2.170.19.254 | 2.170.19.255 | 1,022 |
| 134 | 2.170.20.0/22 | 2.170.20.1 to 2.170.23.254 | 2.170.23.255 | 1,022 |
| 135 | 2.170.24.0/22 | 2.170.24.1 to 2.170.27.254 | 2.170.27.255 | 1,022 |
| 136 | 2.170.28.0/22 | 2.170.28.1 to 2.170.31.254 | 2.170.31.255 | 1,022 |
| 137 | 2.170.32.0/22 | 2.170.32.1 to 2.170.35.254 | 2.170.35.255 | 1,022 |
| 138 | 2.170.36.0/22 | 2.170.36.1 to 2.170.39.254 | 2.170.39.255 | 1,022 |
| 139 | 2.170.40.0/22 | 2.170.40.1 to 2.170.43.254 | 2.170.43.255 | 1,022 |
| 140 | 2.170.44.0/22 | 2.170.44.1 to 2.170.47.254 | 2.170.47.255 | 1,022 |
| 141 | 2.170.48.0/22 | 2.170.48.1 to 2.170.51.254 | 2.170.51.255 | 1,022 |
| 142 | 2.170.52.0/22 | 2.170.52.1 to 2.170.55.254 | 2.170.55.255 | 1,022 |
| 143 | 2.170.56.0/22 | 2.170.56.1 to 2.170.59.254 | 2.170.59.255 | 1,022 |
| 144 | 2.170.60.0/22 | 2.170.60.1 to 2.170.63.254 | 2.170.63.255 | 1,022 |
| 145 | 2.170.64.0/22 | 2.170.64.1 to 2.170.67.254 | 2.170.67.255 | 1,022 |
| 146 | 2.170.68.0/22 | 2.170.68.1 to 2.170.71.254 | 2.170.71.255 | 1,022 |
| 147 | 2.170.72.0/22 | 2.170.72.1 to 2.170.75.254 | 2.170.75.255 | 1,022 |
| 148 | 2.170.76.0/22 | 2.170.76.1 to 2.170.79.254 | 2.170.79.255 | 1,022 |
| 149 | 2.170.80.0/22 | 2.170.80.1 to 2.170.83.254 | 2.170.83.255 | 1,022 |
| 150 | 2.170.84.0/22 | 2.170.84.1 to 2.170.87.254 | 2.170.87.255 | 1,022 |
| 151 | 2.170.88.0/22 | 2.170.88.1 to 2.170.91.254 | 2.170.91.255 | 1,022 |
| 152 | 2.170.92.0/22 | 2.170.92.1 to 2.170.95.254 | 2.170.95.255 | 1,022 |
| 153 | 2.170.96.0/22 | 2.170.96.1 to 2.170.99.254 | 2.170.99.255 | 1,022 |
| 154 | 2.170.100.0/22 | 2.170.100.1 to 2.170.103.254 | 2.170.103.255 | 1,022 |
| 155 | 2.170.104.0/22 | 2.170.104.1 to 2.170.107.254 | 2.170.107.255 | 1,022 |
| 156 | 2.170.108.0/22 | 2.170.108.1 to 2.170.111.254 | 2.170.111.255 | 1,022 |
| 157 | 2.170.112.0/22 | 2.170.112.1 to 2.170.115.254 | 2.170.115.255 | 1,022 |
| 158 | 2.170.116.0/22 | 2.170.116.1 to 2.170.119.254 | 2.170.119.255 | 1,022 |
| 159 | 2.170.120.0/22 | 2.170.120.1 to 2.170.123.254 | 2.170.123.255 | 1,022 |
| 160 | 2.170.124.0/22 | 2.170.124.1 to 2.170.127.254 | 2.170.127.255 | 1,022 |
| 161 | 2.170.128.0/22 | 2.170.128.1 to 2.170.131.254 | 2.170.131.255 | 1,022 |
| 162 | 2.170.132.0/22 | 2.170.132.1 to 2.170.135.254 | 2.170.135.255 | 1,022 |
| 163 | 2.170.136.0/22 | 2.170.136.1 to 2.170.139.254 | 2.170.139.255 | 1,022 |
| 164 | 2.170.140.0/22 | 2.170.140.1 to 2.170.143.254 | 2.170.143.255 | 1,022 |
| 165 | 2.170.144.0/22 | 2.170.144.1 to 2.170.147.254 | 2.170.147.255 | 1,022 |
| 166 | 2.170.148.0/22 | 2.170.148.1 to 2.170.151.254 | 2.170.151.255 | 1,022 |
| 167 | 2.170.152.0/22 | 2.170.152.1 to 2.170.155.254 | 2.170.155.255 | 1,022 |
| 168 | 2.170.156.0/22 | 2.170.156.1 to 2.170.159.254 | 2.170.159.255 | 1,022 |
| 169 | 2.170.160.0/22 | 2.170.160.1 to 2.170.163.254 | 2.170.163.255 | 1,022 |
| 170 | 2.170.164.0/22 | 2.170.164.1 to 2.170.167.254 | 2.170.167.255 | 1,022 |
| 171 | 2.170.168.0/22 | 2.170.168.1 to 2.170.171.254 | 2.170.171.255 | 1,022 |
| 172 | 2.170.172.0/22 | 2.170.172.1 to 2.170.175.254 | 2.170.175.255 | 1,022 |
| 173 | 2.170.176.0/22 | 2.170.176.1 to 2.170.179.254 | 2.170.179.255 | 1,022 |
| 174 | 2.170.180.0/22 | 2.170.180.1 to 2.170.183.254 | 2.170.183.255 | 1,022 |
| 175 | 2.170.184.0/22 | 2.170.184.1 to 2.170.187.254 | 2.170.187.255 | 1,022 |
| 176 | 2.170.188.0/22 | 2.170.188.1 to 2.170.191.254 | 2.170.191.255 | 1,022 |
| 177 | 2.170.192.0/22 | 2.170.192.1 to 2.170.195.254 | 2.170.195.255 | 1,022 |
| 178 | 2.170.196.0/22 | 2.170.196.1 to 2.170.199.254 | 2.170.199.255 | 1,022 |
| 179 | 2.170.200.0/22 | 2.170.200.1 to 2.170.203.254 | 2.170.203.255 | 1,022 |
| 180 | 2.170.204.0/22 | 2.170.204.1 to 2.170.207.254 | 2.170.207.255 | 1,022 |
| 181 | 2.170.208.0/22 | 2.170.208.1 to 2.170.211.254 | 2.170.211.255 | 1,022 |
| 182 | 2.170.212.0/22 | 2.170.212.1 to 2.170.215.254 | 2.170.215.255 | 1,022 |
| 183 | 2.170.216.0/22 | 2.170.216.1 to 2.170.219.254 | 2.170.219.255 | 1,022 |
| 184 | 2.170.220.0/22 | 2.170.220.1 to 2.170.223.254 | 2.170.223.255 | 1,022 |
| 185 | 2.170.224.0/22 | 2.170.224.1 to 2.170.227.254 | 2.170.227.255 | 1,022 |
| 186 | 2.170.228.0/22 | 2.170.228.1 to 2.170.231.254 | 2.170.231.255 | 1,022 |
| 187 | 2.170.232.0/22 | 2.170.232.1 to 2.170.235.254 | 2.170.235.255 | 1,022 |
| 188 | 2.170.236.0/22 | 2.170.236.1 to 2.170.239.254 | 2.170.239.255 | 1,022 |
| 189 | 2.170.240.0/22 | 2.170.240.1 to 2.170.243.254 | 2.170.243.255 | 1,022 |
| 190 | 2.170.244.0/22 | 2.170.244.1 to 2.170.247.254 | 2.170.247.255 | 1,022 |
| 191 | 2.170.248.0/22 | 2.170.248.1 to 2.170.251.254 | 2.170.251.255 | 1,022 |
| 192 | 2.170.252.0/22 | 2.170.252.1 to 2.170.255.254 | 2.170.255.255 | 1,022 |
| 193 | 2.171.0.0/22 | 2.171.0.1 to 2.171.3.254 | 2.171.3.255 | 1,022 |
| 194 | 2.171.4.0/22 | 2.171.4.1 to 2.171.7.254 | 2.171.7.255 | 1,022 |
| 195 | 2.171.8.0/22 | 2.171.8.1 to 2.171.11.254 | 2.171.11.255 | 1,022 |
| 196 | 2.171.12.0/22 | 2.171.12.1 to 2.171.15.254 | 2.171.15.255 | 1,022 |
| 197 | 2.171.16.0/22 | 2.171.16.1 to 2.171.19.254 | 2.171.19.255 | 1,022 |
| 198 | 2.171.20.0/22 | 2.171.20.1 to 2.171.23.254 | 2.171.23.255 | 1,022 |
| 199 | 2.171.24.0/22 | 2.171.24.1 to 2.171.27.254 | 2.171.27.255 | 1,022 |
| 200 | 2.171.28.0/22 | 2.171.28.1 to 2.171.31.254 | 2.171.31.255 | 1,022 |
| 201 | 2.171.32.0/22 | 2.171.32.1 to 2.171.35.254 | 2.171.35.255 | 1,022 |
| 202 | 2.171.36.0/22 | 2.171.36.1 to 2.171.39.254 | 2.171.39.255 | 1,022 |
| 203 | 2.171.40.0/22 | 2.171.40.1 to 2.171.43.254 | 2.171.43.255 | 1,022 |
| 204 | 2.171.44.0/22 | 2.171.44.1 to 2.171.47.254 | 2.171.47.255 | 1,022 |
| 205 | 2.171.48.0/22 | 2.171.48.1 to 2.171.51.254 | 2.171.51.255 | 1,022 |
| 206 | 2.171.52.0/22 | 2.171.52.1 to 2.171.55.254 | 2.171.55.255 | 1,022 |
| 207 | 2.171.56.0/22 | 2.171.56.1 to 2.171.59.254 | 2.171.59.255 | 1,022 |
| 208 | 2.171.60.0/22 | 2.171.60.1 to 2.171.63.254 | 2.171.63.255 | 1,022 |
| 209 | 2.171.64.0/22 | 2.171.64.1 to 2.171.67.254 | 2.171.67.255 | 1,022 |
| 210 | 2.171.68.0/22 | 2.171.68.1 to 2.171.71.254 | 2.171.71.255 | 1,022 |
| 211 | 2.171.72.0/22 | 2.171.72.1 to 2.171.75.254 | 2.171.75.255 | 1,022 |
| 212 | 2.171.76.0/22 | 2.171.76.1 to 2.171.79.254 | 2.171.79.255 | 1,022 |
| 213 | 2.171.80.0/22 | 2.171.80.1 to 2.171.83.254 | 2.171.83.255 | 1,022 |
| 214 | 2.171.84.0/22 | 2.171.84.1 to 2.171.87.254 | 2.171.87.255 | 1,022 |
| 215 | 2.171.88.0/22 | 2.171.88.1 to 2.171.91.254 | 2.171.91.255 | 1,022 |
| 216 | 2.171.92.0/22 | 2.171.92.1 to 2.171.95.254 | 2.171.95.255 | 1,022 |
| 217 | 2.171.96.0/22 | 2.171.96.1 to 2.171.99.254 | 2.171.99.255 | 1,022 |
| 218 | 2.171.100.0/22 | 2.171.100.1 to 2.171.103.254 | 2.171.103.255 | 1,022 |
| 219 | 2.171.104.0/22 | 2.171.104.1 to 2.171.107.254 | 2.171.107.255 | 1,022 |
| 220 | 2.171.108.0/22 | 2.171.108.1 to 2.171.111.254 | 2.171.111.255 | 1,022 |
| 221 | 2.171.112.0/22 | 2.171.112.1 to 2.171.115.254 | 2.171.115.255 | 1,022 |
| 222 | 2.171.116.0/22 | 2.171.116.1 to 2.171.119.254 | 2.171.119.255 | 1,022 |
| 223 | 2.171.120.0/22 | 2.171.120.1 to 2.171.123.254 | 2.171.123.255 | 1,022 |
| 224 | 2.171.124.0/22 | 2.171.124.1 to 2.171.127.254 | 2.171.127.255 | 1,022 |
| 225 | 2.171.128.0/22 | 2.171.128.1 to 2.171.131.254 | 2.171.131.255 | 1,022 |
| 226 | 2.171.132.0/22 | 2.171.132.1 to 2.171.135.254 | 2.171.135.255 | 1,022 |
| 227 | 2.171.136.0/22 | 2.171.136.1 to 2.171.139.254 | 2.171.139.255 | 1,022 |
| 228 | 2.171.140.0/22 | 2.171.140.1 to 2.171.143.254 | 2.171.143.255 | 1,022 |
| 229 | 2.171.144.0/22 | 2.171.144.1 to 2.171.147.254 | 2.171.147.255 | 1,022 |
| 230 | 2.171.148.0/22 | 2.171.148.1 to 2.171.151.254 | 2.171.151.255 | 1,022 |
| 231 | 2.171.152.0/22 | 2.171.152.1 to 2.171.155.254 | 2.171.155.255 | 1,022 |
| 232 | 2.171.156.0/22 | 2.171.156.1 to 2.171.159.254 | 2.171.159.255 | 1,022 |
| 233 | 2.171.160.0/22 | 2.171.160.1 to 2.171.163.254 | 2.171.163.255 | 1,022 |
| 234 | 2.171.164.0/22 | 2.171.164.1 to 2.171.167.254 | 2.171.167.255 | 1,022 |
| 235 | 2.171.168.0/22 | 2.171.168.1 to 2.171.171.254 | 2.171.171.255 | 1,022 |
| 236 | 2.171.172.0/22 | 2.171.172.1 to 2.171.175.254 | 2.171.175.255 | 1,022 |
| 237 | 2.171.176.0/22 | 2.171.176.1 to 2.171.179.254 | 2.171.179.255 | 1,022 |
| 238 | 2.171.180.0/22 | 2.171.180.1 to 2.171.183.254 | 2.171.183.255 | 1,022 |
| 239 | 2.171.184.0/22 | 2.171.184.1 to 2.171.187.254 | 2.171.187.255 | 1,022 |
| 240 | 2.171.188.0/22 | 2.171.188.1 to 2.171.191.254 | 2.171.191.255 | 1,022 |
| 241 | 2.171.192.0/22 | 2.171.192.1 to 2.171.195.254 | 2.171.195.255 | 1,022 |
| 242 | 2.171.196.0/22 | 2.171.196.1 to 2.171.199.254 | 2.171.199.255 | 1,022 |
| 243 | 2.171.200.0/22 | 2.171.200.1 to 2.171.203.254 | 2.171.203.255 | 1,022 |
| 244 | 2.171.204.0/22 | 2.171.204.1 to 2.171.207.254 | 2.171.207.255 | 1,022 |
| 245 | 2.171.208.0/22 | 2.171.208.1 to 2.171.211.254 | 2.171.211.255 | 1,022 |
| 246 | 2.171.212.0/22 | 2.171.212.1 to 2.171.215.254 | 2.171.215.255 | 1,022 |
| 247 | 2.171.216.0/22 | 2.171.216.1 to 2.171.219.254 | 2.171.219.255 | 1,022 |
| 248 | 2.171.220.0/22 | 2.171.220.1 to 2.171.223.254 | 2.171.223.255 | 1,022 |
| 249 | 2.171.224.0/22 | 2.171.224.1 to 2.171.227.254 | 2.171.227.255 | 1,022 |
| 250 | 2.171.228.0/22 | 2.171.228.1 to 2.171.231.254 | 2.171.231.255 | 1,022 |
| 251 | 2.171.232.0/22 | 2.171.232.1 to 2.171.235.254 | 2.171.235.255 | 1,022 |
| 252 | 2.171.236.0/22 | 2.171.236.1 to 2.171.239.254 | 2.171.239.255 | 1,022 |
| 253 | 2.171.240.0/22 | 2.171.240.1 to 2.171.243.254 | 2.171.243.255 | 1,022 |
| 254 | 2.171.244.0/22 | 2.171.244.1 to 2.171.247.254 | 2.171.247.255 | 1,022 |
| 255 | 2.171.248.0/22 | 2.171.248.1 to 2.171.251.254 | 2.171.251.255 | 1,022 |
| 256 | 2.171.252.0/22 | 2.171.252.1 to 2.171.255.254 | 2.171.255.255 | 1,022 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |